import { ServerPlugin } from './server';
import { Plugin as RollupPlugin } from 'rollup';
declare type ParsedQuery = Record<string, string | string[] | undefined>;
export interface Transform {
    test: (path: string, query: ParsedQuery) => boolean;
    transform: (code: string, 
    /**
     * Indicates whether this is a request made by js import(), or natively by
     * the browser (e.g. `<img src="...">`).
     */
    isImport: boolean, isBuild: boolean, path: string, query: ParsedQuery) => string | Promise<string>;
}
export declare function createServerTransformPlugin(transforms: Transform[]): ServerPlugin;
export declare function createBuildJsTransformPlugin(transforms: Transform[]): RollupPlugin;
export {};
